<ion-header [translucent]="true">
  <ion-toolbar>
    <ion-title>transport_attendance_m</ion-title>
  </ion-toolbar>
</ion-header>


<ion-content  class="ion-padding">
  <ng-container *ngIf="!NextPageDiv">
    <ion-item>
      <ion-label position="stacked">Date:</ion-label>
      <ion-datetime display-format="MM/DD/YYYY" name="AttendanceDate" required [(ngModel)]="TrasportAttendanceObj.AttendanceDate"></ion-datetime>
    </ion-item>
    
    
    <ion-item>
      <ion-label>Batch</ion-label>
      <ion-select name="Batch" [(ngModel)]="TrasportAttendanceObj.BatchId" required>
        <ion-select-option *ngFor="let c of BatchList" [value]="c.Id">{{c.Name}}</ion-select-option>
      </ion-select>
    </ion-item>
    
    <ion-item>
      <ion-label>Course</ion-label>
      <ion-select name="Course" [(ngModel)]="TrasportAttendanceObj.CourseId" required>
        <ion-select-option *ngFor="let c of CourseList" [value]="c.Id">{{c.Name}}</ion-select-option>
      </ion-select>
    </ion-item>
    
    <ion-list>
      <ion-radio-group [(ngModel)]="TrasportAttendanceObj.Choice">
        <ion-item>
          <ion-label>Pick Up</ion-label>
          <ion-radio value="true"></ion-radio>
        </ion-item>
        <ion-item>
          <ion-label>Drop</ion-label>
          <ion-radio value="False"></ion-radio>
        </ion-item>
      </ion-radio-group>
    </ion-list>
    
    <ion-button expand="full" (click)="getStudent()">Take Attendance</ion-button>
  </ng-container>
  <ng-container *ngIf="NextPageDiv" style="padding-bottom:100%">
    <ion-item>
      <ion-searchbar [(ngModel)]="NextPage.searchText" name="searchText" (ionCancel)="onCancel()"
        [showCancelButton]="true" (ionInput)="SearchStudentName($event)" placeholder="Search"></ion-searchbar>
    </ion-item>
    <ion-item>
      <ion-label>Mark All As</ion-label>
      <ion-select name="MarkAll" [(ngModel)]="NextPage.Mark" (ionChange)="MarkAllStud()">
        <ion-select-option *ngFor="let c of AttendanceMarkAll" [value]="c.Id">{{c.Name}}</ion-select-option>
      </ion-select>
    </ion-item>
    <ion-list>
      <ion-item class="item item-toggle" *ngFor="let item of StudentsList">
        <ion-label>{{item.StudentName}}</ion-label>
        <ion-toggle color="primary" name="isPresent" [(ngModel)]="item.isPresent"></ion-toggle>
      </ion-item>
    </ion-list>
    <ion-button expand="full" (click)="SubmittingAttendance()">Submit</ion-button>
  </ng-container>
</ion-content>
